Bulk create time entries
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"time_entries": [
{
"date": "2023-12-25",
"duration_minutes": 123,
"external_id": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_external_id": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"billable": false,
"description": "<string>",
"memo": "<string>",
"metadata": {}
}
]
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/bulk"
payload = { "time_entries": [
{
"date": "2023-12-25",
"duration_minutes": 123,
"external_id": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_external_id": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_external_id": "<string>",
"billable": False,
"description": "<string>",
"memo": "<string>",
"metadata": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
time_entries: [
{
date: '2023-12-25',
duration_minutes: 123,
external_id: '<string>',
service_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
service_external_id: '<string>',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_external_id: '<string>',
billable: false,
description: '<string>',
memo: '<string>',
metadata: {}
}
]
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiService",
"external_id": "<string>",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"ledger_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"billable_rate_per_minute_amount": 123,
"memo": "<string>",
"metadata": {},
"deleted_at": "2023-11-07T05:31:56Z"
},
"date": "2023-12-25",
"duration_minutes": 123,
"billable": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiTimeEntry",
"external_id": "<string>",
"customer": {
"type": "CustomerData",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "31415926535",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"status": "ACTIVE",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
},
"description": "<string>",
"invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"metadata": {},
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}Time Entries
Bulk create time entries
Creates multiple time entries in a single request (maximum 100). Each entry follows the same create-or-update logic based on external_id.
POST
/
v1
/
businesses
/
{businessId}
/
time-tracking
/
time-entries
/
bulk
Bulk create time entries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
Body
application/json
List of time entries to create (maximum 100).
Maximum array length:
100Show child attributes
Show child attributes
Response
Time entries created successfully.
Show child attributes
Show child attributes
āI